import lua

from unittest import TestCase


class LuaTests(TestCase):

    def setUp(self):
        self.lua = lua

    def test_eval(self):
        self.assertEquals(self.lua.eval("3"), 3)

    def test_globals(self):
        globs = self.lua.globals()
        globs.x = 5
        self.assertEquals(self.lua.eval("x"), 5)

    def test_string_with_nulls(self):
        self.assertEquals(self.lua.eval("'fo\\0o'"), "fo\0o")

    def test_globals(self):
        globs = self.lua.globals()
        globs.x = 5
        self.assertEquals(self.lua.eval("x"), 5)

    def test_require(self):
        self.lua.globals().package.loaded["foo"] = "hello"
        self.assertEquals(self.lua.require("foo"), "hello")


class LuaEnvironmentTests(LuaTests):

    def setUp(self):
        self.lua = lua.Environment()

    def test_isolation(self):
        environment2 = lua.Environment()
        self.lua.execute("x = 3")
        self.assertEquals(self.lua.eval("x"), 3)
        self.assertEquals(environment2.eval("x"), None)

